[Rubygems-developers] Fwd: Plist ? and suggestion

Austin Ziegler halostatue at gmail.com
Mon Sep 11 12:28:31 EDT 2006


On 9/10/06, Patrick May <patrick at hexane.org> wrote:
>    [glider:~/programming] patsplat% gem update plist
>    Upgrading installed gems...
>    Updating Gem source index for: http://gems.rubyforge.org
>    Attempting remote upgrade of plist
>    Attempting remote installation of 'plist'
>    ERROR:  While executing gem ... (OpenURI::HTTPError)
>        300 Multiple Choices
>    [glider:~/programming] patsplat%

That appears to be something related to my mirror (mine is the only
one that's ever reported that, IIRC). I may need to have Tom drop my
mirror even though I've got bandwidth out the wazoo (1.5 Tb) and
storage out the wazoo (150Gb) because my mirror can't rsync and
sometimes reports the 300 error. :(

> + After hiding all plist releases in the "narf" project, I am getting
> a 404 error:
>
>    [glider:~/programming] patsplat% gem update plist
>    Upgrading installed gems...
>    Attempting remote upgrade of plist
>    Attempting remote installation of 'plist'
>    ERROR:  While executing gem ... (OpenURI::HTTPError)
>        404 Not Found
>    [glider:~/programming] patsplat%

Hiding may not be sufficient; you may need to delete. However, it also
takes time to update the mirrors (and again, my mirror is probably at
fault here because we have to use FTP).

-austin
-- 
Austin Ziegler * halostatue at gmail.com * http://www.halostatue.ca/
               * austin at halostatue.ca * http://www.halostatue.ca/feed/
               * austin at zieglers.ca


More information about the Rubygems-developers mailing list